Bug 585518 - Review Request: gtranslator - Gettext po file editor for GNOME
Review Request: gtranslator - Gettext po file editor for GNOME
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-24 09:36 EDT by Caius Chance
Modified: 2010-07-25 23:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-25 23:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
giallu: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caius Chance 2010-04-24 09:36:28 EDT
Spec URL: http://kaio.fedorapeople.org/pkgs/gtranslator.spec
SRPM URL: http://kaio.fedorapeople.org/pkgs/gtranslator-1.9.10-1.fc13.src.rpm
Description: Gettext po file editor for GNOME
Comment 1 Gianluca Sforna 2010-04-25 16:57:42 EDT
There are few things to check before I can approve this.

* Fix License in the spec. Some files have an updated license (GPLV3+)

* Missing require hicolor-icon-theme. Icons changed location in the newer release, now they live in /usr/share/icons/hicolor/*/apps/ which is not owned by this package.

rpmlint is not silent:
$ rpmlint /var/lib/mock/fedora-13-i386/result/*.rpm
gtranslator.i686: W: spelling-error Summary(en_US) Gettext -> Get text, Get-text, Getting
gtranslator.i686: W: spelling-error Summary(en_US) po -> PO, pew, op
gtranslator.i686: W: spelling-error %description -l en_US gettext -> get text, get-text, getting
gtranslator.i686: W: spelling-error %description -l en_US po -> PO, pew, op
gtranslator.i686: W: file-not-utf8 /usr/share/doc/gtranslator-1.9.10/README.UMTF
gtranslator.i686: W: non-conffile-in-etc /etc/gconf/schemas/gtranslator.schemas
gtranslator.src: W: spelling-error Summary(en_US) Gettext -> Get text, Get-text, Getting
gtranslator.src: W: spelling-error Summary(en_US) po -> PO, pew, op
gtranslator.src: W: spelling-error %description -l en_US gettext -> get text, get-text, getting
gtranslator.src: W: spelling-error %description -l en_US po -> PO, pew, op
gtranslator-devel.i686: W: no-documentation


I think we can fix the file-not-utf8 /usr/share/doc/gtranslator-1.9.10/README.UMTF (run iconv on it) and ignore the rest.

Other than this the package looks fine.
Comment 2 Chen Lei 2010-04-27 08:47:18 EDT
In all current Fedora, rarian has replaced scrollkeeper. There is no scriptlet needed for rarian.
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Scrollkeeper
Comment 3 Caius Chance 2010-04-29 03:56:56 EDT
Spec URL: http://kaio.fedorapeople.org/pkgs/gtranslator.spec
SRPM URL: http://kaio.fedorapeople.org/pkgs/gtranslator-1.9.10-2.fc12.src.rpm
Description: Gettext po file editor for GNOME
Comment 4 Gianluca Sforna 2010-04-29 06:19:05 EDT
Ok, sorry for doing this in pieces, but Chen's comment is on spot. According to the linked page we can:

1. remove scrollkeeper scriptlet and corresponding Requires lines
2. remove desktop-file-utils Requires (the page says it's not needed since FC5)
3. we need to add the scriptlets detailed in:
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

Additionally, have you an idea why it requires "which" and "yelp" ?
Comment 5 Caius Chance 2010-04-30 00:26:16 EDT
Spec URL: http://kaio.fedorapeople.org/pkgs/gtranslator.spec
SRPM URL: http://kaio.fedorapeople.org/pkgs/gtranslator-1.9.10-3.fc12.src.rpm
Description: Gettext po file editor for GNOME
Comment 6 Gianluca Sforna 2010-05-10 16:38:29 EDT
Ok, sorry for the delay, here is the review:

* package name follows naming guidelines
* latest version is packaged
* License (GPLv3) is good and matches actual one
* License text is present and correctly packaged
* sources matches upstream
* build fine in mock for F12

* rpmlint is not clean:
gtranslator.src: W: spelling-error Summary(en_US) Gettext -> Get text, Get-text, Getting
gtranslator.src: W: spelling-error Summary(en_US) po -> PO, pew, op
gtranslator.src: W: spelling-error %description -l en_US gettext -> get text, get-text, getting
gtranslator.src: W: spelling-error %description -l en_US po -> PO, pew, op
gtranslator.x86_64: W: spelling-error Summary(en_US) Gettext -> Get text, Get-text, Getting
gtranslator.x86_64: W: spelling-error Summary(en_US) po -> PO, pew, op
gtranslator.x86_64: W: spelling-error %description -l en_US gettext -> get text, get-text, getting
gtranslator.x86_64: W: spelling-error %description -l en_US po -> PO, pew, op
gtranslator.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/gtranslator.schemas
gtranslator-devel.x86_64: W: no-documentation

But these warnings can be ignored

Approved
Comment 7 Caius Chance 2010-05-11 02:45:21 EDT
New Package CVS Request
=======================
Package Name: gtranslator
Short Description: Gettext po file editor for Gnome.
Owners: kaio
Branches: F-13
Comment 8 Till Maas 2010-05-16 10:53:04 EDT
You need to use the Chanage Request afaik. Also you need to set fedora-cvs to ? to get the CVS request handled. After this, you also need to ask releng to unblock the package at https://fedorahosted.org/rel-eng/.

Here is the change request for you to copy:

Package Change Request
======================
Package Name: gtranslator
New Branches: F-13
Owners: kaio
Comment 9 Caius Chance 2010-06-06 11:45:16 EDT
Package Change Request
======================
Package Name: gtranslator
New Branches: F-13
Owners: kaio
Comment 10 Kevin Fenzi 2010-06-07 16:51:28 EDT
cvs done.
Comment 11 Till Maas 2010-06-07 17:17:04 EDT
(In reply to comment #10)
> cvs done.    

I am still the owner for the devel branch and it is still deprecated. How is this going to be changed? Will it be undeprecated through rel-eng?
Comment 12 Kevin Fenzi 2010-06-07 17:26:43 EDT
I don't know. Does this revival mean it should exist everywhere again? 
Or did you only want a F-13 branch?
Comment 13 Gianluca Sforna 2010-06-08 03:25:02 EDT
According to 
https://fedoraproject.org/wiki/Extras/OrphanedPackages

yes, we need to file a ticket to rel-eng to unblock the devel branch

"""
If a package was last updated more than three months ago (running cvs log -r HEAD *.spec can show you this information), you will need to submit a review request and have the package approved by a reviewer as if it were new to Fedora. See  the package review process for more information. There are a couple of small changes though, be sure to submit a 'update' request to 'cvs', and before you will be able to run the final 'make build' commands you will need to file a ticket w/ release engineering to unblock your package https://fedorahosted.org/rel-eng/newticket
"""
Comment 14 Till Maas 2010-06-08 03:57:57 EDT
(In reply to comment #13)
> According to 
> https://fedoraproject.org/wiki/Extras/OrphanedPackages
> 
> yes, we need to file a ticket to rel-eng to unblock the devel branch

Afaics, "unblocking" only refers to koji and not the PackageDB. Also the quoted text only refers to "make build", which also targets at koji, but PackageDB handles commit access. So I agree that a rel-eng ticket is required, but it is unclear whether this is meant to resolve the devel info in PackageDB.
Comment 15 Benjamín Valero Espinosa 2010-06-15 16:53:35 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Chen Lei 2010-06-19 02:06:19 EDT
Hi kaio,

Please do "Package Change Request" again to unretire gtranslator on pkgdb, gtranslator was already unblocked on koji.

Also, please update gtranslator to latest 1.9.11.

Requires for yelp should removed(this is determined by FESCo recently).



%{_datadir}/gtk-doc/html/gtranslator should be moved to -devel subpackage.
Comment 17 Till Maas 2010-06-29 16:32:13 EDT
Hey Caius,

are you sure you have the time to maintain gtranslator? There are several outstanding issues and you did not reply to comment:12 and gtranslator for devel is orphaned https://admin.fedoraproject.org/pkgdb/acls/name/gtranslator after Toshio took the time to fix the deprecation status afaik. Nevertheless, if you want to maintain gtranslator, you need to spend some time, soon. If not, it is probably better to retire it again of find some other interested maintainer.
Comment 18 Chen Lei 2010-07-25 23:35:22 EDT
I already updated this package to the latest version in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.